.reproductor{
    position: relative;
    border-radius: 5px;
    overflow: hidden;
    color: black;
    font-family: sans-serif;
    background: rgba(0,0,0,0.9);
    width: 74%;
    height: 60%;
    margin: 1.2rem auto 1rem auto;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.mostrar{
    display: block;
    opacity: 1;
    transition: 980ms;
}

.ocultar{
    display: none;
    opacity: 0;
    transition: 980ms;
}

.alerta-video{
    position: absolute;
    /*background: linear-gradient(rgba(217, 5, 104, 0.2),rgba(217, 5, 104, 0.1),rgba(217, 5, 104, 0.2));*/
    background: linear-gradient(rgba(217, 5, 104, 1),rgba(217, 5, 104, 0.9),rgba(217, 5, 104, 0.8));
    border-bottom-right-radius: 8px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
    color: whitesmoke;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    top: 0;
    right: 2px;
    left: 0;
    bottom: 0;
    width: 40%;
    height: 12%;
    transition: all 2s;
    opacity: 0;
}

@keyframes mostrar-alerta {
    0%{
        left: -400px;
        opacity: 0;
    }
    38%{
        left: 0;
        opacity: 1;
    }
    100%{
        left: -400px;
        opacity: 0;
    }
}

.reproductor video{
    width: 100%;
    height: 100%;
    object-fit: fill;
    background: black;
    /*
    object-fit: contain;
    object-position:center;
    transform: scale(-1, 1);*/
}

.titulo{
    font-size: x-small;
}

.titulo span{
    background: red;
    color: aliceblue;
    box-sizing: border-box;
    padding:  0 2px;
}

.subcapa{
    position: absolute;
    background: linear-gradient(rgba(0,0,0,0.2),rgba(0,0,0,0),rgba(0,0,0,0.1));
    display: flex;
    justify-content: space-between;
    align-items: center;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: none;
}

.subcapa-icon{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 200px; 
    height: 200px; 
    overflow: hidden;
    background: none;
    border-radius: 50%;
    /**background: linear-gradient(rgba(0,0,0,0.3),rgba(0,0,0,0.2),rgba(0,0,0,0.3));
    **/
    z-index: 1;
}
 

.p-arrow-rigth, .p-arrow-left{
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 24px 0 0;
    color: aliceblue;
    text-shadow: 1px black;
    font-size: x-large;
}

.p-arrow-rigth{
    margin: 0 18px 0 0;
}

.p-arrow-left{
    margin: 0 0 0 18px;
}

.subcapa-icon img{
    position: relative;
    opacity: 1;
    user-select: none;
    filter: drop-shadow(1px 0px 0px rgba(0,0,0,0.4));
}

.play-center-img-effect-in{
    transition: all 100ms;
    margin: auto auto auto 31%;
    width: 110px;
    height: 110px;
}

.circle-play-center-media-out{
    transform: scale(0);
    box-shadow: rgba(0, 0, 0, 0.3) 0px 7px 20px 0px;
    background: linear-gradient(rgba(0,0,0,0.9),rgba(0,0,0,0.7),rgba(0,0,0,0.0.9));
    }

.circle-play-center-media-in{
    transform: scale(1);
    box-shadow: rgba(0, 0, 0, 0.3) 0px 7px 20px 0px;
    background: linear-gradient(rgba(0,0,0,0.9),rgba(0,0,0,0.7),rgba(0,0,0,0.0.9));
}

.play-center-img-effect-out{
    transform: scale(0);    
    margin: auto auto auto 31%;
    width: 110px;
    height: 110px;
}

.arrow-rigth-img-in{
    transition: all 200ms;
    transform: rotate(360deg);
}

.arrow-rigth-img-out{
    transform: scale(0) rotate(0deg);
}

.arrow-rigth-p-in{
    transition: all 100ms;
}

.arrow-rigth-p-out{
    transform: scale(0);
}

.arrow-left-img-in{
    transition: all 200ms;
    transform: rotate(-360deg);
}

.arrow-left-img-out{
    transform: scale(0) rotate(0deg);
}

.arrow-left-p-in{
    transition: all 100ms;
}

.arrow-left-p-out{
    transform: scale(0);
}

.controles{
    position: absolute;
    background: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,1),rgba(0,0,0,1));
    /*
    background: linear-gradient(rgba(0,0,0,1),rgba(0,0,0,0.9),rgba(0,0,0,1));
    */
    display: flex;
    justify-content: space-between;
    align-items: center;
    left: 0;
    right: 0;
    bottom: 0;
    box-shadow: 1px black;
    width: 100%;
    height: 46px;
    z-index: 10;
}

.contenedormedia{
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
}

.margen-left-control{
    background: linear-gradient(rgba(255, 255, 255, 0.1),rgba(255, 255, 255, 0.2),rgba(255, 255, 255, 0.1));
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
}

.margen-rigth-control{
    background: linear-gradient(rgba(255, 255, 255, 0.1),rgba(255, 255, 255, 0.2),rgba(255, 255, 255, 0.1));
}

.contenedormedia button{
    background: none;
    position: relative;
    outline: none;
    border: 1px solid rgba(255, 255, 255, 0.15);
    margin: 0 0.7rem;
    height: 28px;
    width: 28px;
}

.contenedormedia button img{
    width: 28px;
    height: 28px;
    opacity: 1;
    transition: all 100ms;
    scale: 1;
}

.contenedormedia button:active {
    opacity: 0.7;
}

.contenedormedia button img:hover{
    /*opacity: 0.8;*/
    transform: scale(0.9);
    transition: all 100ms;
}

.lineatiempo{
    position: relative;
    width: 100%;
    display: flex;
    justify-content: space-around;
    box-sizing: border-box;
    padding: 0 1rem;
}

.captura{
    position: absolute;
    display: none;
    border-radius: 6px;
    top: -160px;
    left: 0;
    width: 170px;
    height: 150px;
    text-align: center;
    box-sizing: border-box;
    color: whitesmoke;
    background: linear-gradient(135deg, rgba(255,255,255,0.6), rgba(255,255,255,0.1));
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(20px);
    box-shadow: rgba(255, 255, 255, 0.1) 0px 5px 22px 0px;
}

.captura-tiempo{
    margin: 0.4rem 0;
    font-size: 12px;
    text-shadow: rgba(0, 0, 0, 0.1) 0px 5px 22px 0px;
}

canvas{
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 5px 22px 0px;
}

.volumen{
    position: absolute;
    display: none;
    border-radius: 4px;
    top: -98px;
    right: 40px;
    padding: 0.6rem;
    border-radius: 2px;
    transform: rotate(-90deg);
    /*background: linear-gradient(rgba(0,0,0,0),rgba(0,0,0,0.2),rgba(0,0,0,0.1));*/
    background: linear-gradient(0.25turn, rgba(0,0,0,0.09), rgba(0,0,0,0.1), rgba(0,0,0,0.2));
    box-sizing: border-box;
}

.tiempo{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.5rem 0;
    width: 176px;
    text-align: end;
    font-size: 11px;
    color: whitesmoke;
    background: linear-gradient(rgba(0, 0, 0, 0.4),rgba(0, 0, 0, 0.6),rgba(0, 0, 0, 0.4));
}

.configuracion{
    position: absolute;
    display: none;
    top: -116px;
    right: 4px;
    padding: 0.9rem;
    width: 280px;
    border-radius: 5px;
    background: linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.4),rgba(0,0,0,0.3));
    font-size: 12px;
    color: whitesmoke;
    box-sizing: border-box;
    /**box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;**/
    box-shadow: rgba(255, 255, 255, 0.1) 0px 5px 22px 0px;
}

.configuracion ul li{
    list-style: none;
    padding: 0.2rem;
    color: whitesmoke;
    transition: all 800ms;
}

.configuracion ul li:hover{
    transition: all 800ms;
    cursor: pointer;
    background: linear-gradient(rgba(0,0,0,0.1),rgba(0,0,0,0),rgba(0,0,0,0.1));
    color: rgb(239, 238, 238);
}

.configuracion ul li ul{
    display: flex;
    justify-content: center;
}

.configuracion ul li ul li{
    display: flex;
    border-radius: 5px;
    background: rgba(0,0,0,0.1);
}

.configuracion ul li ul li a{
    display: flex;
    padding: 0.5rem;
}
/**
.btns-configuracion{
    background: rgb(6, 145, 59);
    text-decoration: none;
    color: whitesmoke;
    font-size: 11px;
    padding: 0.2rem;
    margin: 0.2rem;
    border-radius: 4px;
    transition: all 300ms;
}**/

.configuracion ul li ul li:hover{
    background: none;
    transition: all 300ms;
}

.configuracion ul li ul li a:hover{
    /**background: rgb(4, 168, 119);**/
    background: rgba(255,255,255,0.1);
}

.captura canvas{
    position: relative;
    top: 5px;
    margin: auto;
}

.lineatiempo input{
    width: 100%;
}

.lineatiempo input:hover{
    cursor: pointer;
}

.contenedormedia button{
    position: relative;
}

.contenedormedia button{
    display: flex;
    width: 24px;
    height: 24px;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.contenedormedia button:hover{
    background: linear-gradient(rgba(0,0,0,0.1),rgba(0,0,0,0),rgba(0,0,0,0.1));
    box-sizing: border-box;
    border-radius: 50%;
}

/** linea de tiempo **/
input[type=range] {
    overflow: hidden;
    -webkit-appearance: none;
    border-radius: 15px;
    background: rgba(255,255,255,0.2);
    margin: 10px 0;
    height: 10px;
    width: 100%;
  }
  input[type=range]:focus {
    outline: none;
  }
  input[type=range]::-webkit-slider-runnable-track {
    -webkit-appearance: none;
    width: 100%;
    height: 5px;
    cursor: pointer;
    animate: 0.2s;
    border-radius: 15px;
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #000000;
  }
  input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    box-shadow: 0px 0px 0px #000000;
    border: 2px solid rgb(155, 155, 159);
    box-shadow: -407px 0 0 400px rgba(217, 5, 104, 1);
    background: rgba(255,255,255,0.9);
    height: 11px;
    width: 11px;
    border-radius: 50%;    
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -3px;
  }    
/** linea de tiempo **/

.controles button:hover{
    cursor: pointer;
}

.btn-content{
    padding: 0.5rem;
    border-radius: 5px;
    background: green;
    color: white;
    text-shadow: 1px solid rgba(0,0,0,0.1);
    border-style: none;
    font-size: 13px;
    transition: all 1s;
}

.btn-volumen{
    display: flex;
}